
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * mouse3dType.h:     La SDI_F de mouse3d
 *
 * Utilise par le module et par les clients
 * (inclut dans mouse3dMsgLib.h et mouse3dPosterLib.h)
 * 
 */

#ifndef mouse3d_TYPE_H
#define mouse3d_TYPE_H

#include "genom/modules.h"
#include "mouse3dError.h"

/* Nombre de tache d'execution de ce module */
#define MOUSE3D_NB_EXEC_TASK                   (1)


#endif
#ifndef mouse3d_TYPE1_H
#define mouse3d_TYPE1_H

#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/gbM/gbManip.h"
#include "/opt/openrobots/include/gbM/gbGENOM.h"
#include "/opt/openrobots/include/gbM/gbStruct.h"
#include "/opt/openrobots/include/genManip/genManipStruct.h"
#include "mouse3dStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct mouse3d_ids {
	GENMANIP_MOUSE3D_STR measures;
	int connected;
	mouse3d_path device;
	mouse3d_bindings bindings;
	mouse3d_gains gains;
	mouse3d_thresholds thresholds;
} mouse3d_ids;


#endif

